Subject: bug#23079: 25.0.92; Movement commands leave cursor in invisible line

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 26 Mar 2016 11:21:20 +0100

> I still don't understand why Magit wants to hide text it itself
> produced, instead of just deleting the part(s) it doesn't want to
> show.

It saves us from having to perform potentially expensive calculations
repeatedly when a section is being expanded and collapsed multiple
times.  Obviously a cache would help, and that's what I have in mind
for Magit v3.